## WebKitDOMAudioTrackList WebKitDOMAudioTrackList |

## Functions

WebKitDOMAudioTrack * | webkit_dom_audio_track_list_item ()
WebKitDOMAudioTrack * | webkit_dom_audio_track_list_get_track_by_id ()
gboolean | webkit_dom_audio_track_list_dispatch_event ()
gulong | webkit_dom_audio_track_list_get_length ()

## Properties

gulong | length | Read

## Types and Values

| WebKitDOMAudioTrackList

## Object Hierarchy

        GObject
        ╰── WebKitDOMObject
            ╰── WebKitDOMAudioTrackList

## Implemented Interfaces

WebKitDOMAudioTrackList implements WebKitDOMEventTarget.

## Description

## Functions

### webkit_dom_audio_track_list_item ()

    WebKitDOMAudioTrack *
    webkit_dom_audio_track_list_item (WebKitDOMAudioTrackList *self,
                                      gulong index);

#### Parameters

self | A WebKitDOMAudioTrackList |
index | A gulong |

#### Returns

A WebKitDOMAudioTrack.

[transfer full]

### webkit_dom_audio_track_list_get_track_by_id ()

    WebKitDOMAudioTrack *
    webkit_dom_audio_track_list_get_track_by_id
                                   (WebKitDOMAudioTrackList *self,
                                    const gchar *id);

#### Parameters

self | A WebKitDOMAudioTrackList |
id | A gchar |

#### Returns

A WebKitDOMAudioTrack.

[transfer full]

### webkit_dom_audio_track_list_dispatch_event ()

    gboolean
    webkit_dom_audio_track_list_dispatch_event
                                   (WebKitDOMAudioTrackList *self,
                                    WebKitDOMEvent *evt,
                                    GError **error);

`webkit_dom_audio_track_list_dispatch_event` has been deprecated since version 2.4 and should not be used in newly-written code.

Use `webkit_dom_event_target_dispatch_event()` instead.

#### Parameters

self | A WebKitDOMAudioTrackList |
evt | A WebKitDOMEvent |
error | GError |

#### Returns

A gboolean

### webkit_dom_audio_track_list_get_length ()

    gulong
    webkit_dom_audio_track_list_get_length
                                   (WebKitDOMAudioTrackList *self);

`webkit_dom_audio_track_list_get_length` is deprecated and should not be used in newly-written code.

#### Parameters

self | A WebKitDOMAudioTrackList |

#### Returns

A gulong

## Types and Values

### WebKitDOMAudioTrackList

    typedef struct _WebKitDOMAudioTrackList WebKitDOMAudioTrackList;

## Property Details

### The `“length”` property

      “length”                   gulong

read-only gulong AudioTrackList:length.

Flags: Read